Subject: Re: [PATCH] inet6: Fix paramater issue of inet6_csk_xmit

From: Vlad Yasevich <[email-masked]>
Date: Sat, 02 Aug 2008 19:26:29 -0400

Herbert Xu wrote:
> On Fri, Aug 01, 2008 at 10:50:17AM -0400, Vlad Yasevich wrote:
>>> +	inet->pmtudisc = transport->param_flags & SPP_PMTUD_ENABLE ?
>>> +			 IP_PMTUDISC_DO : IP_PMTUDISC_DONT;
>> If you insist on doing this, you need to save the old value and restore
>> it after ip_queue_xmit(). 
>>
>> The reason is that PMTU discovery change on a specific transport or
>> association should not affect the socket, since there could be multiple
>> associations on a given socket.  Each association has it's own control.
> 
> Yes but they'll all pass through here so it'll get set to the
> appropriate value.
> 
> Cheers,

OK, I see what you mean.  Let me run some tests with this patch.  I doesn't
look like it will cause any issues, but I'd like to verify.

Thanks
-vlad